 
 
 
var container = document.querySelector('.container-Page');
var btn = document.getElementById('btn-Page');

btn.addEventListener('click', function() {
  container.classList.toggle('show-container');
  if (container.classList.contains('show-container')) {
    history.pushState(null, null, '#show'); 
  } else {
    history.back(); 
  }
});

window.addEventListener('popstate', function(event) { 
  if (!event.state) { 
    container.classList.remove('show-container');
  }
});


document.addEventListener("DOMContentLoaded", function() {
      var cardContainer = document.getElementById("card-container");
      generateCards();

      document.getElementById("btn-color").addEventListener("click", function() {
        var cards = document.getElementsByClassName("card-color");
        for (var i = 0; i < cards.length; i++) {
          cards[i].style.backgroundColor = getRandomColor();
          cards[i].querySelector(".card-code").textContent = rgbToHex(cards[i].style.backgroundColor);
        }
      });

      function generateCards() {
        for (var i = 0; i < 9; i++) {
          var card = document.createElement("div");
          card.classList.add("card-color");
          card.style.backgroundColor = getRandomColor();
          card.addEventListener("click", function(e) {
            var colorId = e.target.querySelector(".card-code").textContent;
            copyToClipboard(colorId);

            var cardCopy = document.getElementById("card-copy");
            cardCopy.style.opacity = 1;
            setTimeout(function() {
              cardCopy.style.opacity = 0;
            }, 2000);
          });

          var cardCode = document.createElement("div");
          cardCode.classList.add("card-code");
          cardCode.textContent = rgbToHex(card.style.backgroundColor);

          card.appendChild(cardCode);
          cardContainer.appendChild(card);
        }
      }

      function getRandomColor() {
        var letters = "0123456789ABCDEF";
        var color = "#";
        for (var i = 0; i < 6; i++) {
          color += letters[Math.floor(Math.random() * 16)];
        }
        return color;
      }

      function rgbToHex(rgbColor) {
        var rgbArray = rgbColor.replace(/[^\d,]/g, "").split(",");
        var hex = "#";
        for (var i = 0; i < 3; i++) {
          var value = parseInt(rgbArray[i]).toString(16);
          hex += (value.length === 1 ? "0" + value : value);
        }
        return hex;
      }

      function copyToClipboard(text) {
        var textarea = document.createElement("textarea");
        textarea.value = text;
        textarea.style.position = "fixed"; // 使其不可见
        document.body.appendChild(textarea);
        textarea.select();
        document.execCommand("copy");
        document.body.removeChild(textarea);
      }
    });
  
  
  
  
document.addEventListener("touchstart", startTouch, false);
document.addEventListener("touchmove", moveTouch, false);
document.addEventListener("touchend", endTouch, false);

let initialX = null;
let initialY = null;
let isCardSideOpen = false;

function startTouch(e) {
  initialX = e.touches[0].clientX;
  initialY = e.touches[0].clientY;
}

function moveTouch(e) {
  if (initialX === null || initialY === null) {
    return;
  }

  const currentX = e.touches[0].clientX;
  const currentY = e.touches[0].clientY;
  const diffX = initialX - currentX;
  const diffY = initialY - currentY;

  const screenHeight = window.innerHeight; 
  const bottomThreshold = screenHeight - 50; 

  const cardSide = document.querySelector('.Card-Side');

  if (isCardSideOpen && diffX > 0 && currentY > bottomThreshold) { 
    e.preventDefault();
  }

  initialX = null;
  initialY = null;
}

function endTouch(e) {
  const currentY = e.changedTouches[0].clientY;
  const screenHeight = window.innerHeight; 
  const bottomThreshold = screenHeight - 30; 

  const cardSide = document.querySelector('.Card-Side');

  if (currentY > bottomThreshold && !isCardSideOpen) { 
    cardSide.classList.add('slide-out');
    isCardSideOpen = true;
    
    window.history.pushState({ isCardSideOpen }, ''); 
  }
}

window.addEventListener('popstate', function(event) {
  if (isCardSideOpen) {
    const cardSide = document.querySelector('.Card-Side');
    cardSide.classList.remove('slide-out');
    isCardSideOpen = false;
  }
});

